Type to search.

Get searchable snapshot statistics

  • GET /{index}/_searchable_snapshots/stats
  • GET /_searchable_snapshots/stats
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 7.10 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Required privileges

Index privileges manage
Cluster privileges manage

Path parameters

index union string | string[] optional

A comma-separated list of data streams and indices to retrieve statistics for.

Leave it out to use /_searchable_snapshots/stats.

Query parameters

level enum · default: indices

Return stats aggregated at cluster, index or shard level

Values: cluster indices shards

Response

application/json
stats object required
total object required